package com.realnet.basic.Services;
import java.util.*;
import com.realnet.basic.Repository.ClientsRepository;
import com.realnet.basic.Entity.Clients;

import com.realnet.basic.Entity.Clients_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Clients_ListFilter1Service {
@Autowired
private ClientsRepository Repository;




 public   List<Clients_ListFilter1>   getlistbuilder() {
	List<Clients> list= Repository.findAll();
		ArrayList<Clients_ListFilter1> l = new ArrayList<>();
		for (Clients data : list) {
{	
Clients_ListFilter1 dummy = new Clients_ListFilter1();
			dummy.setId(data.getId());
  dummy.setClient_name(data.getClient_name());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Clients_ListFilter1>   getlistbuilderparam( ) {
	List<Clients> list= Repository.findAll();
		ArrayList<Clients_ListFilter1> l = new ArrayList<>();
		for (Clients data : list) {
{	
Clients_ListFilter1 dummy = new Clients_ListFilter1();
			dummy.setId(data.getId());
  dummy.setClient_name(data.getClient_name());
	l.add(dummy);
} 
} 		
return l;}
}